snd_pcm_hw_constraint_step
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_hw_constraint_step —

## Synopsis

`int snd_pcm_hw_constraint_step (` | struct snd_pcm_runtime * | runtime,
| unsigned int | cond,
| snd_pcm_hw_param_t | var,
| unsigned long | step`)`;

## Arguments

`runtime`

  PCM runtime instance

`cond`

  condition bits

`var`

  hw_params variable to apply the step constraint

`step`

  step size

Prev | Up | Next
snd_pcm_hw_constraint_msbits | Home | snd_pcm_hw_constraint_pow2